<template>
  <div class="app-container">
    <div class="filter-container">
      <el-input v-model="query.title" :placeholder="$t('table.title')" style="width: 200px;" class="filter-item" @keyup.enter.native="handleFilter" />
      <el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFilter">
        {{ $t('table.search') }}
      </el-button>
    </div>
    <el-table v-loading="listLoading" :data="list" border fit highlight-current-row style="width: 100%">
      <el-table-column align="center" :label="$t('row.pic')">
        <template slot-scope="scope">
          <span>{{ scope.row.file_path }}</span>
        </template>
      </el-table-column>

      <el-table-column align="center" :label="$t('row.value')">
        <template slot-scope="scope">
          <span>{{ scope.row.value }}</span>
        </template>
      </el-table-column>
      <el-table-column align="center" :label="$t('row.operation')">
        <template slot-scope="scope">
          <span class="pointer fa fa-check mr-1 ml-1" @click="showPic(scope.row.id, scope.row.file_path, scope.row.value)">&nbsp;</span>
        </template>
      </el-table-column>

    </el-table>

    <pagination v-show="total>0" :total="total" :page.sync="query.page" :limit.sync="query.limit" @pagination="getList" />

    <el-dialog :title="$t('row.readContour')" :visible.sync="dialogReadContour">
      <div class="form-container">
        <el-form ref="readContour" :model="readContour" label-position="left" class="register-form" style="max-width: 500px;">
          <el-input v-model="readContour.assignment_id" hidden />
          <div class="mb-1">
            {{ $t('row.readContour') }}
          </div>
          <div class="mb-3">
            <img :src="readContour.path" style="width: 250px">
          </div>
          <div class="mb-1">
            {{ $t('row.readContour') }}
          </div>
          <div class="mb-3">
            <input v-model="readContour.value" type="text" :placeholder="$t('row.readContour')">
          </div>
        </el-form>
      </div>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogFormVisible = false">
          {{ $t('table.cancel') }}
        </el-button>
        <el-button type="primary" @click="submitContour()">
          {{ $t('table.confirm') }}
        </el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import Pagination from '@/components/Pagination'; // Secondary package based on el-pagination
import Bani from '@/api/bani';
const baniResource = new Bani('bani');
import 'vue-select/src/scss/vue-select.scss';
// import i18n from '@/lang';

export default {
  name: 'BaniList',
  components: { Pagination },
  filters: {
    statusFilter(status) {
      const statusMap = {
        published: 'success',
        draft: 'info',
        deleted: 'danger',
      };
      return statusMap[status];
    },
  },
  data() {
    return {
      list: null,
      total: 0,
      manage: {},
      readContour: {},
      listLoading: true,
      dialogFormVisible: false,
      dialogReadContour: false,
      dialogFormListVisible: false,
      transferAddress: false,
      query: {
        page: 1,
        limit: 15,
        title: '',
        role: '',
      },
      options: [],
    };
  },
  created() {
    this.getList();
  },
  methods: {
    async getList() {
      this.listLoading = true;
      const { result } = await baniResource.history(this.query);
      this.list = result.rows;
      this.total = result.total;
      this.listLoading = false;
    },
    submitContour() {
      baniResource.submitContour(this.readContour);
      this.getList();
      this.dialogReadContour = false;
    },
    showPic(id, path, value) {
      this.readContour.path = path;
      this.readContour.value = value;
      this.readContour.id = id;
      this.dialogReadContour = true;
    },
    handleFilter() {
      this.query.page = 1;
      this.getList();
    },
    onSearch(search, loading) {
      fetch(
        '/api/searchUsers?q=' + search
      ).then(res => {
        res.json().then(json => (this.options = json.items));
        console.log(this.options);
        loading(false);
      });
    },
  },
};
</script>
